package com.goafanti.common.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.goafanti.cognizance.bo.OrgActivityDetailCostBo;
import com.goafanti.common.model.OrgActivityCost;

public interface OrgActivityCostMapper {
    int deleteByPrimaryKey(String id);

    int insert(OrgActivityCost record);

    int insertSelective(OrgActivityCost record);

    OrgActivityCost selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(OrgActivityCost record);

    int updateByPrimaryKey(OrgActivityCost record);

	int batchDeleteByPrimaryKey(List<String> id);

	List<OrgActivityCost> selectOrgActivityCostByAid(String aid);

	int batchDeleteByAid(List<String> aid);

	OrgActivityCost selectOrgActivityCostByUidAndAidAndYear(@Param("aid")String aid, @Param("uid")String uid, @Param("year")Integer year);

	OrgActivityCost selectOrgActivityCostByAidAndYear(String aid, Integer year);


	OrgActivityDetailCostBo selectDetailCostByIdAndYear(String id, int year);
}